Skip to content

WireOfacDetails⁠

Perform various operations on wire Office of Foreign Assets Control (OFAC) records.

Operations⁠

getWireOfacDetails⁠

POST

Retrieve Office of Foreign Assets Control (OFAC) details

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireOfacDetailsLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireOfacDetails
POST /nexum/627/2022.01/wire/getWireOfacDetails HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireOfacDetailsLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getWireOfacDetailsSelectFields⁠

POST

Retrieve Office of Foreign Assets Control (OFAC) details with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireOfacDetailsLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireOfacDetailsSelectFields
POST /nexum/627/2022.01/wire/getWireOfacDetailsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireOfacDetailsLocator": 0,
  "SelectableFields": {
    "IncludeAllWireOfacDetailsFields": true,
    "WireOfacDetailsFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireOfacDetailsPagedList⁠

POST

Retrieve paged Office of Foreign Assets Control (OFAC) details

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireOfacDetailsPagedList
POST /nexum/627/2022.01/wire/getWireOfacDetailsPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireOfacDetailsListSelectFields⁠

POST

Retrieve a list of Office of Foreign Assets Control (OFAC) details with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireOfacDetailsListSelectFields
POST /nexum/627/2022.01/wire/getWireOfacDetailsListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireOfacDetailsFields": true,
    "WireOfacDetailsFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireOfacDetailsSelectFields⁠

POST

Searches for wire OFAC details with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/searchWireOfacDetailsSelectFields
POST /nexum/627/2022.01/wire/searchWireOfacDetailsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireOfacDetailsFields": true,
    "WireOfacDetailsFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireOfacDetailsPagedListSelectFields⁠

POST

Retrieve paged Office of Foreign Assets Control (OFAC) details with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireOfacDetailsPagedListSelectFields
POST /nexum/627/2022.01/wire/getWireOfacDetailsPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireOfacDetailsFields": true,
    "WireOfacDetailsFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}